#
# spec file for package libreoffice-converter
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libreoffice-converter
%define	      	ooo_home	libreoffice
Version:        3.3
Release:        1.4.1
License:        LGPLv2.1+
Group:          Productivity/Office/Other
AutoReqProv:    on
Requires:       libreoffice-pyuno >= 2.99
Requires:       procps
# compat stuff
Provides:       OpenOffice_org-converter = %version
Obsoletes:      OpenOffice_org-converter <= %version
Summary:        Commandline Document Converter Using LibreOffice
Url:            http://www.artofsolving.com/files/DocumentConverter.py
Source0:        DocumentConverter.py
Source1:        loconvert
Source2:        loconvert.1
Patch0:         DocumentConverter.py-more-types.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package includes a simple script ooconvert that can be used to
convert various document file formats on the commandline. It uses
OpenOffice.org that guarantees the quality and the variety of available
document file formats.



%prep
%setup -c -T
cp %{S:0} %{S:1} %{S:2} .
%patch0

%build

%install
install -m 755 -d $RPM_BUILD_ROOT%_datadir/%ooo_home/program
install -m 755 -d $RPM_BUILD_ROOT%_bindir
install -m 755 -d $RPM_BUILD_ROOT%_mandir/man1
install -m 644 DocumentConverter.py $RPM_BUILD_ROOT%_datadir/%ooo_home/program
install -m 755 loconvert $RPM_BUILD_ROOT%_bindir
install -m 644 loconvert.1 $RPM_BUILD_ROOT%_mandir/man1
# compat stuff
ln -sf loconvert $RPM_BUILD_ROOT%_bindir/ooconvert
echo ".so man1/loconvert.1" >| $RPM_BUILD_ROOT%_mandir/man1/ooconvert.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_datadir/%ooo_home
%dir %_datadir/%ooo_home/program
%_datadir/%ooo_home/program/*
%_bindir/*
%_mandir/man1/*

%changelog
* Tue Sep 13 2011 pmladek@suse.com
- maintenance update (bnc#704311, MaintenanceTracker-43152)
* Mon Sep 12 2011 pmladek@suse.com
- added procps into Requires (bnc#715856)
* Tue Aug 30 2011 pmladek@suse.com
- fixed to deal with the soffice symlink when it was relative
* Tue Mar  1 2011 pmladek@suse.cz
- mention loconvert instead of ooconvert in the help message (bnc#675868)
* Mon Feb 21 2011 pmladek@suse.cz
- avoided error messages when the soffice.bin process is stopped
* Thu Feb 17 2011 pmladek@suse.cz
- bumped version to 3.3; made sure that it was considered as
  a replacement of the older package
* Fri Feb  4 2011 pmladek@suse.cz
- fixed error message about existing output file
- made sure that soffice.bin was closed at the end
* Thu Feb  3 2011 pmladek@suse.cz
- renamed from OpenOffice_org-converter to libreoffice-converter
- installed the python part into /usr/share/libreoffice
- renamed the wrapper to loconvert
- added compat symlink ooconvert
- updated the wrapper to work with both OOo and LO
* Mon Apr 12 2010 pmladek@suse.cz
- fixed name of the XLSX file type (bnc#590691)
- fixed DOTX file suffix in the man page
* Thu Apr 23 2009 pmladek@suse.cz
- moved DocumentConverter.py from the basis3.0 dir to avoid dependency
  on the minor OOo version; works with OOo-3.1 now
* Mon Feb  9 2009 pmladek@suse.cz
- defined filters for OOo-1.x file formats
- defined filters for templates of the already supported formats
- added check for already existing output file
- added --force option
- added manual page and better help
- fixed to work with filenames with space
* Thu Sep 11 2008 pmladek@suse.cz
- package created, version 3.0 (fate#304874)
